// import 'package:firebase_crashlytics/firebase_crashlytics.dart';
// import 'package:flutter/material.dart';



import 'package:injector/injector.dart';
import 'package:mc_common_app/api/api_client.dart';
import 'package:mc_common_app/classes/app_state.dart';
import 'package:mc_common_app/repositories/user_repo.dart';
import 'package:mc_common_app/services/services.dart';

Injector injector = Injector.appInstance;

class AppDependencies {

  static void addDependencies() {
    //services
    injector.registerSingleton<AppState>(() => AppState());
    injector.registerSingleton<ApiClient>(() => ApiClientImp());
    injector.registerSingleton<CommonServices>(() => CommonServicesImp());

    //repos
    injector.registerSingleton<UserRepo>(() => UserRepoImp());
  }
}
